@import '../../styles/colors.scss';
@import '../../styles/responsive.scss';

.Header {
    background-color: $backgroundColor;

    @include tablet {
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__container {
        padding: 20px;
        color: $fontColor;
    }

    &__title {
        font-size: 35px;
        margin: 0;
    }

    &__subtitle {
        font-size: 18px;
        font-weight: 600;
    }

    &__button {
        background-color: $primaryColor;
        border: 0;
        border-radius: 8px;
        color: $backgroundColor;
        padding: 20px;
        font-size: 18px;
        font-weight: 700;
        outline: none;
        cursor: pointer;

            &:hover {
                opacity: .7;
            }
    }

    &__link {
        margin-top: 20px;

        &__text {
            color:$primaryColor;
            font-weight: 600;
            font-size: 18px;
            text-decoration: none;
            cursor: pointer;
        }
    }

    &__image {
        width: 100%;
        padding: 0;
        margin: 20px 0;

        @include tablet {
            width: 50%;
            padding-right: 20px;
            margin: 20px auto;
        }
    }
}